> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/compliance/tenant--screening-configuration",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Tenant - Screening Configuration

> Update tenant screening configuration.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /screening/configurations
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/configurations:
    put:
      tags:
        - Compliance
      summary: Tenant - Screening Configuration
      description: Update tenant screening configuration.
      operationId: updateScreeningConfiguration
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScreeningUpdateConfigurations'
      responses:
        '200':
          description: Tenant Screening configuration updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScreeningUpdateConfigurations'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ScreeningUpdateConfigurations>> =
            fireblocks.compliance.updateScreeningConfiguration(complianceApiUpdateScreeningConfigurationRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ScreeningUpdateConfigurations>>
            response =
            fireblocks.compliance().updateScreeningConfiguration(screeningUpdateConfigurations,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.update_screening_configuration(screening_update_configurations,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    ScreeningUpdateConfigurations:
      type: object
      properties:
        disableBypass:
          type: boolean
          description: Flag to enable or disable bypass screening on tenant configuration.
        disableUnfreeze:
          type: boolean
          description: >-
            Flag to enable or disable unfreeze of transaction frozen by policy
            rule on tenant configuration.

````